#
# spec file for package enlightenment-theme-openSUSE-oliveleaf
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%define icon_theme_name openSUSE-e-X-Oliveleaf

Name:           enlightenment-theme-openSUSE-oliveleaf
Version:        20220219.1.26
Release:        bp160.1.1
Summary:        Enlightenment theme from openSUSE 13.1
License:        BSD-2-Clause and LGPL-2.1 and CC-BY-SA-3.0
Group:          System/GUI/Other
Url:            https://en.opensuse.org/Portal:Enlightenment
Source:         enlightenment-theme-openSUSE-Oliveleaf-%{version}.tar.xz
# for convert
BuildRequires:  ImageMagick
BuildRequires:  efl
BuildRequires:  fdupes
Provides:       enlightenment-theme
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
This is a darker theme for enlightenment, it was the default for openSUSE 13.1

%package -n openSUSE-e-X-Oliveleaf-Icons
Summary:        FDO Icon theme to go with openSUSE Enlightenment Theme
License:        GPL-3.0-only
Group:          System/GUI/Other

%description -n openSUSE-e-X-Oliveleaf-Icons
An FDO Icon theme that matches the one used by the openSUSE Enlightenment
theme

%prep
%setup -q -n enlightenment-theme-openSUSE-Oliveleaf-%{version}

%build
./build-darkmod.sh --epkg
cp build/e/openSUSE-Oliveleaf.edj .
cp licenses-authors/* .
cp build/icons/openSUSE-Oliveleaf-icons/README README.icons

%install
install -m 0755 -d %{buildroot}%{_datadir}/elementary/themes
install -m 0644 -t %{buildroot}%{_datadir}/elementary/themes openSUSE-Oliveleaf.edj

install -m 0755 -d %{buildroot}%{_datadir}/icons/%{icon_theme_name}
install -m 0644 -t %{buildroot}%{_datadir}/icons/%{icon_theme_name} build/icons/openSUSE-Oliveleaf-icons/index.theme

pushd build/icons/openSUSE-Oliveleaf-icons
for d in */ ; do
    install -m 0755 -d %{buildroot}%{_datadir}/icons/%{icon_theme_name}/$d
    for in in $d/*/ ; do
      install -m 0755 -d %{buildroot}%{_datadir}/icons/%{icon_theme_name}/$in
      for ind in $in/*.png ; do
        if [ -f "$ind" ]; then
          install -m 0644 -t %{buildroot}%{_datadir}/icons/%{icon_theme_name}/$in "$ind"
        fi
      done
      for ind in $in/*.svg ; do
        if [ -f "$ind" ]; then
          install -m 0644 -t %{buildroot}%{_datadir}/icons/%{icon_theme_name}/$in "$ind"
        fi
      done
    done
done
popd

%fdupes %{buildroot}%{_datadir}/icons/%{icon_theme_name}

%files
%defattr(-,root,root)
%license AUTHORS COPYING AUTHORS.elementary AUTHORS.enlightenment COPYING.images COPYING.lgpl
%{_datadir}/elementary

%files -n openSUSE-e-X-Oliveleaf-Icons
%license README.icons
%{_datadir}/icons/%{icon_theme_name}

%changelog
* Tue Feb 22 2022 Simon Lees <sflees@suse.de>
- Update for e25 and efl 1.26 (This will no longer be default)
* Wed Nov 29 2017 sflees@suse.de
- Update for e22
* Wed Sep 28 2016 sflees@suse.de
- Update to new building version 20160922
* Mon Mar 14 2016 sflees@suse.de
- Spec cleaner run
* Mon Mar 14 2016 sflees@suse.de
- Recreated theme 201603014
  - Build scripts now work again with openSUSE:Factory
  - Theme rebased on elementary theme from efl 1.17.0
* Sat Oct 11 2014 simon@simotek.net
- Follow upstream in relicencing bsd theme code to lgpl2+,
    Note the build system is still BSD
- Fix incorrect spec file which only mentioned BSD licence SR(252158)
* Wed Sep 17 2014 simon@simotek.net
- Recreate theme from 13.1 in this package
* Fri Sep 12 2014 simon@simotek.net
- New theme for openSUSE 13.2, old theme will soon be in oliveleaf
  package
  Brings in changes for elementary 1.11 as well as some e19 fixes
* Thu Jun 12 2014 simon@simotek.net
- Update theme for elementary 1.10 (Also supports e19)
* Sun Feb 23 2014 simon@simotek.net
- don't require enlightenment, this is bad when the theme is only being used
  by elementary, especially if someone is trying to install e17
* Sat Feb 22 2014 simon@simotek.net
- can't conflict with e17 themes as e17 needs it for terminology etc
* Fri Feb 21 2014 simon@simotek.net
- Fix the mess that was branding
* Tue Feb 18 2014 simon@simotek.net
- conflicts with older e17 themes
* Wed Jan  1 2014 simon@simotek.net
- 20131230
  - Fix LED color in IBox
  - Fixed folder icon to suite the theme better
* Sun Dec 22 2013 simon@simotek.net
- update for e18 and elementary
* Sun Dec 22 2013 simon@simotek.net
- rename to e17-theme-openSUSE
* Sat Dec 14 2013 sleep_walker@suse.cz
- edje is separated now, require only that
* Sun Dec  1 2013 simon@simotek.net
- build from efl 1.8.0
* Fri Nov  1 2013 simon@simotek.net
- Minor fix, buttons in non active top bars are now green
  this makes them visible unlike before
* Thu Oct 17 2013 cfarrell@suse.com
- license update: BSD-2-Clause
  See COPYING
* Wed Oct  2 2013 simon@simotek.net
- Fixed copyright in spec file
* Tue Oct  1 2013 simon@simotek.net
- Fixed text color in init
  version 20131001
* Sat Sep 28 2013 simon@simotek.net
- Fixed init splash background
  version 20130928
